Bug 1222871 (CVE-2015-3988)

Summary: CVE-2015-3988 python-django-horizon: persistent XSS in Horizon metadata dashboard
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, aortega, apevec, athomas, ayoung, chrisw, dallan, gkotton, gmollett, itamar, jose.castro.leon, jpichon, jrusnack, lhh, lpeer, markmc, mrunge, nsantos, rbryant, sclewis, slong, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the OpenStack dashboard (horizon) handling of metadata. Potentially untrusted data was displayed from OpenStack Image service (glance) images, OpenStack Compute (nova) flavors, or host aggregates without correct sanitization. The flaw could be used by an authenticated user to conduct an XSS attack.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-26 02:45:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1222873, 1222874, 1223350, 1223351    
Bug Blocks: 1222872    

Description Vasyl Kaigorodov 2015-05-19 10:41:21 UTC
Title: Persistent XSS in Horizon metadata dashboard
Reporter: Sunil Yadav (IBM)
Products: Horizon
Affects: version 2015.1.0

Description:
Sunil Yadav from IBM Security Services reported a persistent XSS in
Horizon. An authenticated user may conduct a persistent XSS attack by
setting a malicious metadata to a Glance image, a Nova flavor or a Host
Aggregate and tricking an administrator to load the update metadata
page. Once executed in a legitimate context this attack may result in a
privilege escalation. All Horizon setups are affected.

Upstream bug:
https://launchpad.net/bugs/1449260

Upstream commit:
https://git.openstack.org/cgit/openstack/horizon/commit/?id=e7f3e0880f4e311c768c413e43317674cb234515

Comment 1 Vasyl Kaigorodov 2015-05-19 10:42:40 UTC
Created python-django-horizon tracking bugs for this issue:

Affects: fedora-all [bug 1222873]
Affects: openstack-rdo [bug 1222874]

Comment 4 errata-xmlrpc 2015-08-24 20:16:05 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2015:1679 https://rhn.redhat.com/errata/RHSA-2015-1679.html